[FFmpeg-devel] [PATCH] tests/fate.sh: report different status for different errors

Timothy Gu timothygu99 at gmail.com
Tue Jun 10 06:46:37 CEST 2014


The order of error codes will be useful in my future fateserver patches.

Signed-off-by: Timothy Gu <timothygu99 at gmail.com>
---
 tests/fate.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/tests/fate.sh b/tests/fate.sh
index f371291..38458c7 100755
--- a/tests/fate.sh
+++ b/tests/fate.sh
@@ -111,8 +111,8 @@ echo ${version} >version-$slot
 rm -rf "${build}" *.log
 mkdir -p ${build}
 
-configure >configure.log 2>&1 || fail $? "error configuring"
-compile   >compile.log   2>&1 || fail $? "error compiling"
-fate      >test.log      2>&1 || fail $? "error testing"
+configure >configure.log 2>&1 || fail 3 "error configuring"
+compile   >compile.log   2>&1 || fail 2 "error compiling"
+fate      >test.log      2>&1 || fail 1 "error testing"
 report 0 success
 clean
-- 
1.9.1



More information about the ffmpeg-devel mailing list